Groovy Documentation

## org.codehaus.groovy.grails.plugins.codecs
[Java] Class HTMLCodec

    java.lang.Object
      org.codehaus.groovy.grails.plugins.codecs.HTMLCodec

    public class HTMLCodec

A codec that encodes and decodes strings to and from HTML.

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary
`static java.lang.String` | `decode(java.lang.Object target)`
`static java.lang.CharSequence` | `encode(java.lang.Object target)`
`static boolean` | `shouldEncode()`

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### decode

    public static java.lang.String decode(java.lang.Object target)

### encode

    public static java.lang.CharSequence encode(java.lang.Object target)

### shouldEncode

    public static boolean shouldEncode()

Groovy Documentation